# Generated by Django 3.2.2 on 2021-05-15 07:29

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('band_api', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='commentonliveinfo',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='commnets_on_live_info', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='bandmember',
            name='band',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='members', to='band_api.band'),
        ),
        migrations.AddField(
            model_name='bandmember',
            name='user',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='as_band_member', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='bandfans',
            name='band',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='band_api.band'),
        ),
        migrations.AddField(
            model_name='bandfans',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='band',
            name='fans',
            field=models.ManyToManyField(related_name='favorite_bands', through='band_api.BandFans', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='band',
            name='leader',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='band', to=settings.AUTH_USER_MODEL),
        ),
    ]
